## gnome-shell-extension-arc-menu 38.3-dev

=== debian/changelog ===
gnome-shell-extension-arc-menu (38.3-dev-2) unstable; urgency=medium

  * Initial source-only upload

 -- Jonathan Carter <jcc@debian.org>  Fri, 10 Jan 2020 19:13:17 +0200

gnome-shell-extension-arc-menu (38.3-dev-1) unstable; urgency=medium

  * Initial release (Closes: #942310)

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Nov 2019 11:18:01 +0000
