=== debian/control ===
Source: gnome-shell-extension-arc-menu
Section: gnome
Priority: optional
Maintainer: Jonathan <jcc@debian.org>
Build-Depends: debhelper-compat (= 12), gettext, libgettextpo-dev, libglib2.0-bin
Standards-Version: 4.4.1
Homepage: https://github.com/lexruee/Arc-Menu
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git

Package: gnome-shell-extension-arc-menu
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.28)
Recommends: gir1.2-gmenu-3.0
Description: shell extension designed to replace the standard menu found in GNOME
 Arc Menu is a GNOME shell extension designed to replace the standard menu
 found in GNOME 3 this application menu extension has some added benefits
 over the standard menu found in GNOME 3, these include the long awaited
 search functionality as well as quick access to files on your system and
 also the current logged in user along with quick access to the software
 centre and system settings and other features which can be accessed from the
 settings menu.
