=== debian/changelog ===
gnome-shell-extension-arc-menu (45-1) unstable; urgency=medium

  * New upstream release (Closes: #956168)
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root: no
  * Update required gnome-shell version to 3.36 or higher
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 17 Apr 2020 21:55:36 +0200
