=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Jonathan <jcc@debian.org>
 Build-Depends: debhelper-compat (= 12), gettext, libgettextpo-dev, libglib2.0-bin
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/lexruee/Arc-Menu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git
 
 Package: gnome-shell-extension-arc-menu
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.28)
+Depends: ${misc:Depends}, gnome-shell (>= 3.36)
 Recommends: gir1.2-gmenu-3.0
 Description: shell extension designed to replace the standard menu found in GNOME
  Arc Menu is a GNOME shell extension designed to replace the standard menu
