=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/Arc-Menu.*\.tar\.gz/Arc-Menu-$1\.tar\.gz/g \
  https://gitlab.com/LinxGem33/Arc-Menu/tags?sort=updated_desc .*\.tar\.gz.*
