## gnome-shell-extension-arc-menu 49

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Basic Makefile
 
 UUID = arc-menu@linxgem33.com
-BASE_MODULES = AUTHORS convenience.js COPYING extension.js helper.js metadata.json README.md stylesheet.css utils.js 
-EXTRA_MODULES = constants.js controller.js menuButtonDash.js menuButtonPanel.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js searchGrid.js 
+BASE_MODULES = AUTHORS convenience.js COPYING extension.js helper.js metadata.json README.md utils.js 
+EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js
 
-MENU_LAYOUTS = baseMenuLayout.js arcmenu.js brisk.js budgie.js chromebook.js elementary.js gnomedash.js gnomemenu.js mint.js redmond.js runner.js simple.js simple2.js ubuntudash.js whisker.js windows.js
+MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js dashboard.js elementary.js gnomemenu.js mint.js plasma.js raven.js ravenExtended.js redmond.js runner.js simple.js simple2.js tognee.js ubuntudash.js whisker.js windows.js
 MENU_TWEAKS = menulayouts/tweaks/tweaks.js
 
 TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)
