=== debian/changelog ===
gnome-shell-extension-arc-menu (49-1) unstable; urgency=medium

  [ Edward Betts ]
  * d/{control,copyright,watch}: Update upstream URL

  [ Jonathan Carter ]
  * New upstream release
  * Update debhelper-compat to level 13
  * Remove *.css from debian/install (no longed needed)
  * Override executable permissions in debian/rules

 -- Jonathan Carter <jcc@debian.org>  Thu, 22 Oct 2020 12:59:28 +0200
