=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12), gettext, libgettextpo-dev, libglib2.0-bin
+Build-Depends: debhelper-compat (= 13), gettext, libgettextpo-dev, libglib2.0-bin
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: https://github.com/lexruee/Arc-Menu
+Homepage: https://gitlab.com/arcmenu-team/Arc-Menu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git
