=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,7 @@
 override_dh_install:
 	dh_install
 	rm -f $(BASEDIR)/po/*~
-	chmod 640 $(BASEDIR)/metadata.json
+	chmod 640 $(BASEDIR)/metadata.json $(BASEDIR)/media/icons/arc-menu-logo.svg \
+		$(BASEDIR)/media/icons/arc-menu-symbolic.svg \
+		$(BASEDIR)/media/icons/menu_icons/*.svg \
+		$(BASEDIR)/media/icons/settings_icons/fine-tune-symbolic.svg
