=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d.]+)(?:-[Ss]table)?\/Arc-Menu.*\.tar\.gz/Arc-Menu-$1\.tar\.gz/g \
  https://gitlab.com/arcmenu-team/Arc-Menu/-/tags?sort=updated_desc .*/Arc-Menu-v(\d+)(?:-[Ss]table)?\.tar\.gz
