=== debian/changelog ===
gnome-shell-extension-arc-menu (49+forkv18-1) unstable; urgency=medium

  * Update standards version to 4.6.0
  * New upstream fork (Closes: #993182, #996045)
    - Update debian/install with new upstream name
  * Depend on minimum gnome-shell version 40
  * Update copyright years
  * Install schema in correct directory (Closes: #983463)
  * Update chmod paths in debian/rules

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Sep 2021 10:44:14 +0200
