=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), gettext, libgettextpo-dev, libglib2.0-bin
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/arcmenu-team/Arc-Menu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-arc-menu
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 3.36)
+Depends: ${misc:Depends}, gnome-shell (>= 40)
 Recommends: gir1.2-gmenu-3.0
 Description: shell extension designed to replace the standard menu found in GNOME
  Arc Menu is a GNOME shell extension designed to replace the standard menu
