=== debian/watch ===
version=4
https://gitlab.com/arcmenu/ArcMenu/tags?sort=updated_desc /arcmenu/ArcMenu/-/archive/@ANY_VERSION@/ArcMenu-\d\S*@ARCHIVE_EXT@
