## gnome-shell-extension-arc-menu 49+forkv20

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 UUID = arcmenu@arcmenu.com
 BASE_MODULES = COPYING extension.js helper.js metadata.json README.md utils.js 
-EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js
+EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js search.js standaloneRunner.js
 
 MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js elementary.js eleven.js gnomemenu.js insider.js launcher.js mint.js plasma.js raven.js redmond.js runner.js simple.js simple2.js tognee.js unity.js whisker.js windows.js
 MENU_TWEAKS = menulayouts/tweaks/tweaks.js
 
 TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)
-EXTRA_DIRECTORIES = media menulayouts
+EXTRA_DIRECTORIES = media menulayouts searchProviders
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
