=== debian/changelog ===
gnome-shell-extension-arc-menu (49+forkv20-1) unstable; urgency=medium

  * New upstream release
  * Improve debian/watch
  * Add searchProviders to debian/install

 -- Jonathan Carter <jcc@debian.org>  Fri, 21 Jan 2022 11:59:18 +0200
