=== debian/control ===
--- 
+++ 
@@ -21,4 +21,3 @@
  also the current logged in user along with quick access to the software
  centre and system settings and other features which can be accessed from the
  settings menu.
-
