=== debian/changelog ===
gnome-shell-extension-arc-menu (49+forkv29-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2022 19:16:09 -0400

gnome-shell-extension-arc-menu (49+forkv29-2) experimental; urgency=medium

  * Team upload
  * Add patches for GNOME Shell 43 compatibility (Closes: #1018189)
  * debian/control: Bump minimum & maximum gnome-shell to 43

 -- Jesús Soto <jesus.soto@canonical.com>  Mon, 12 Sep 2022 08:38:00 -0400

gnome-shell-extension-arc-menu (49+forkv29-1) unstable; urgency=medium

  * New upstream release (Closes: #1008536)
  * Bump required gnome-shell version to 42

 -- Jonathan Carter <jcc@debian.org>  Wed, 30 Mar 2022 11:52:48 +0200
