=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-arc-menu
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 40)
+Depends: ${misc:Depends}, gnome-shell (>= 43~), gnome-shell (<< 44~)
 Recommends: gir1.2-gmenu-3.0
 Description: shell extension designed to replace the standard menu found in GNOME
  Arc Menu is a GNOME shell extension designed to replace the standard menu
