=== debian/rules ===
#!/usr/bin/make -f

# Get version number using pkg-info
include /usr/share/dpkg/pkg-info.mk
BASEDIR=debian/gnome-shell-extension-arc-menu/usr/share/gnome-shell/extensions/arcmenu@arcmenu.com

%:
	dh $@

# We don't have jslint, so override the test
override_dh_auto_test:

override_dh_auto_install:

override_dh_install:
	dh_install
	rm -f $(BASEDIR)/po/*~
	chmod 640 $(BASEDIR)/metadata.json \
	    $(BASEDIR)/media/icons/menu_button_icons/icons/*.svg \
		$(BASEDIR)/media/icons/prefs_icons/hicolor/16x16/actions/*.svg \
		$(BASEDIR)/media/icons/menu_icons/arc-menu-symbolic.svg
