=== debian/watch ===
version=4
https://gitlab.com/arcmenu/ArcMenu/tags?sort=updated_desc \
  (?:.*/)ArcMenu-v@ANY_VERSION@\.tar\.gz
