## gnome-shell-extension-arc-menu 64

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,21 @@
 # Basic Makefile
 
 UUID = arcmenu@arcmenu.com
-BASE_MODULES = COPYING extension.js keybinder.js metadata.json README.md stylesheet.css utils.js 
-EXTRA_MODULES = constants.js controller.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js recentFilesManager.js search.js standaloneRunner.js
+BASE_MODULES = COPYING extension.js keybinder.js metadata.json README.md stylesheet.css theming.js
+EXTRA_MODULES = appMenu.js arcmenuManager.js constants.js controller.js iconGrid.js menuButton.js menuWidgets.js placeDisplay.js prefs.js prefsWidgets.js recentFilesManager.js search.js standaloneRunner.js updateNotifier.js utils.js
 
-MENU_LAYOUTS = arcmenu.js baseMenuLayout.js brisk.js budgie.js chromebook.js elementary.js eleven.js gnomemenu.js insider.js launcher.js mint.js plasma.js raven.js redmond.js runner.js tognee.js unity.js whisker.js windows.js
-MENU_TWEAKS = menulayouts/tweaks/tweaks.js
+TOLOCALIZE = $(EXTRA_MODULES) menulayouts/* settings/*
 
-TOLOCALIZE = $(EXTRA_MODULES) $(addprefix menulayouts/, $(MENU_LAYOUTS)) $(MENU_TWEAKS)
-EXTRA_DIRECTORIES = media menulayouts searchProviders
+EXTRA_DIRECTORIES = icons menulayouts searchProviders settings
+
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
+	INSTALLTYPE = local
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
 else
-	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
+	INSTALLTYPE = system
+	SHARE_PREFIX = $(DESTDIR)/usr/share
+	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
 endif
 INSTALLNAME = arcmenu@arcmenu.com
 
@@ -59,6 +61,13 @@
 	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
 	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
 	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
+ifeq ($(INSTALLTYPE),system)
+	# system-wide settings and locale files
+	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas $(INSTALLBASE)/$(INSTALLNAME)/locale
+	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
+	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
+	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
+endif
 	-rm -fR _build
 	echo done
