=== debian/changelog ===
gnome-shell-extension-arc-menu (64-1) unstable; urgency=medium

  * New upstream release
  * Update gnome-shell dependency to include version 48

 -- Jonathan Carter <jcc@debian.org>  Mon, 03 Feb 2025 11:13:23 +0200

gnome-shell-extension-arc-menu (63-2) unstable; urgency=medium

  * Remove extraneous dash from project homepage
  * Remove built langauge files on dh_clean to allow re-building of
    package (Closes: #1044947)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Nov 2024 09:21:19 +0200

gnome-shell-extension-arc-menu (63-1) unstable; urgency=medium

  * New upstream release
  * Update project homepage
  * Install settings directory (Closes: #1086749)

 -- Jonathan Carter <jcc@debian.org>  Thu, 07 Nov 2024 15:18:44 +0200

gnome-shell-extension-arc-menu (61-1) unstable; urgency=medium

  * New upstream release (Closes: #1079238)
  * Update depends to include gnome-shell version 47

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Oct 2024 12:03:56 +0200

gnome-shell-extension-arc-menu (58-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 15 Aug 2024 17:37:27 +0200

gnome-shell-extension-arc-menu (57-1) unstable; urgency=medium

  * Team upload
  * Release to unstable (Closes: #1052088)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Jul 2024 08:32:39 -0400

gnome-shell-extension-arc-menu (57-1~exp1) experimental; urgency=medium

  * New upstream release
  * Fix package short description (Closes: #1065502)

 -- Jonathan Carter <jcc@debian.org>  Wed, 19 Jun 2024 11:17:17 +0200

gnome-shell-extension-arc-menu (56-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.7.0
  * Update dependencies to allow for gnome-shell version 46 
  * Update debian/watch file for new version of GitLab

 -- Jonathan Carter <jcc@debian.org>  Wed, 24 Apr 2024 11:16:10 +0200

gnome-shell-extension-arc-menu (55-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Mon, 04 Mar 2024 19:44:08 +0200

gnome-shell-extension-arc-menu (52-1~exp1) experimental; urgency=medium

  * Experimental upload (GNOME 45 is not yet in unstable)
  * Set gnome-shell dependency to 45
  * Cut some fields in debian/control to 80 characters width
  * Remove debian/patches (no longer needed)
  * Remove media from debian/install (no longer provided)
    And remove associated permission items from debian/rules

 -- Jonathan Carter <jcc@debian.org>  Sun, 26 Nov 2023 20:19:20 +0200

gnome-shell-extension-arc-menu (49+forkv29-4) unstable; urgency=medium

  * Add support for gnome-shell version 44
  * Update standards version to 4.6.2

 -- Jonathan Carter <jcc@debian.org>  Tue, 29 Aug 2023 13:21:26 +0200
