=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 override_dh_install:
 	dh_install
 	rm -f $(BASEDIR)/po/*~
-	chmod 640 $(BASEDIR)/metadata.json \
-	    $(BASEDIR)/media/icons/menu_button_icons/icons/*.svg \
-		$(BASEDIR)/media/icons/prefs_icons/hicolor/16x16/actions/*.svg \
-		$(BASEDIR)/media/icons/menu_icons/arc-menu-symbolic.svg
+	chmod 640 $(BASEDIR)/metadata.json 
+
+
+override_dh_clean:
+	rm -f */*.mo
+	dh_clean
