=== debian/changelog ===
gnome-shell-extension-arc-menu (65-2) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 19:07:53 -0400

gnome-shell-extension-arc-menu (65-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 12 Mar 2025 16:20:44 +0200
