## gnome-shell-extension-arc-menu 66

=== debian/changelog ===
gnome-shell-extension-arc-menu (66-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Aug 2025 20:37:19 +0200
