## gnome-shell-extension-arc-menu 67.1

=== debian/changelog ===
gnome-shell-extension-arc-menu (67.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.2
  * Update install list for new files layout

 -- Jonathan Carter <jcc@debian.org>  Tue, 16 Sep 2025 12:29:18 +0200
