=== debian/changelog ===
gnome-shell-extension-arc-menu (67.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Oct 2025 11:21:09 +0200
