=== debian/control ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jonathan <jcc@debian.org>
-Build-Depends: debhelper-compat (= 13), gettext, libgettextpo-dev,
-               libglib2.0-bin
-Standards-Version: 4.7.0
+Uploaders:
+ Jonathan <jcc@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ gettext,
+ libgettextpo-dev,
+ libglib2.0-bin,
+ python3,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/arcmenu/ArcMenu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
@@ -13,8 +18,11 @@
 
 Package: gnome-shell-extension-arc-menu
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 45~), gnome-shell (<< 49~)
-Recommends: gir1.2-gmenu-3.0
+Depends:
+ gir1.2-gmenu-3.0,
+ gnome-shell (>= ${gnome:MinimumVersion}~),
+ gnome-shell (<< ${gnome:MaximumVersion}~),
+ ${misc:Depends},
 Description: shell extension designed to provide a panel menu
  GNOME Arc Menu is a GNOME shell extension designed to replace the standard
  menu found in GNOME 3 this application menu extension has some added benefits
