=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  gettext,
  libgettextpo-dev,
  libglib2.0-bin,
+ libglib2.0-dev,
  python3,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://gitlab.com/arcmenu/ArcMenu
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-arc-menu.git
